Loading...
Searching...
No Matches
pcl::gpu::PFHRGBEstimation Class Reference

Class for PFHRGB estimation. More...

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::PFHRGBEstimation:

## Public Types

using | PointType = PointXYZ
Public Types inherited from pcl::gpu::Feature
using | PointType = PointXYZ
using | NormalType = PointXYZ
using | PointCloud = DeviceArray< PointType >
using | Normals = DeviceArray< NormalType >
using | Indices = DeviceArray< int >

## Public Member Functions

void | compute (const PointCloud &cloud, const Normals &normals, const NeighborIndices &neighb_indices, DeviceArray2D< PFHRGBSignature250 > &features)
void | compute (DeviceArray2D< PFHRGBSignature250 > &features)
Public Member Functions inherited from pcl::gpu::FeatureFromNormals
void | setInputNormals (const Normals &normals)
Public Member Functions inherited from pcl::gpu::Feature
| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Additional Inherited Members

Protected Attributes inherited from pcl::gpu::FeatureFromNormals
Normals | normals_
Protected Attributes inherited from pcl::gpu::Feature
PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Detailed Description

Class for PFHRGB estimation.

Definition at line 127 of file features.hpp.

## Member Typedef Documentation

## PointType

using pcl::gpu::PFHRGBEstimation::PointType = PointXYZ

Definition at line 130 of file features.hpp.

## Member Function Documentation

## compute() [1/2]

void pcl::gpu::PFHRGBEstimation::compute | ( | const PointCloud & | cloud,
|  | const Normals & | normals,
|  | const NeighborIndices & | neighb_indices,
|  | DeviceArray2D< PFHRGBSignature250 > & | features
| ) |  |

## compute() [2/2]

void pcl::gpu::PFHRGBEstimation::compute | ( | DeviceArray2D< PFHRGBSignature250 > & | features | ) |

The documentation for this class was generated from the following file:

- /build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/features/include/pcl/gpu/features/features.hpp